{
  "AllowedHosts": "*",
  "AppConfiguration": {
    "AppScope": "ZiGong",
    "YiBin": {
      "AreaCode": "511500",
      "CallCenterType": "TianRun", //XunShi、WeiErXin、TianRun、XingTang
      //智能回访
      "AiVisit": {
        "Url": "http://118.122.73.80:19061",
        "Appkey": "MTAwMDAx",
        "ServiceVersion": "V1.0.0" //接口版本号
      },
      //智能质检
      "AiQuality": {
        "Url": "http://118.122.73.80:19072/" // 正式
        //"Url": "http://118.122.73.80:19072/", // 测试
      },
      //企业服务
      "Enterprise": {
        "AddressUrl": "http://10.12.185.227:8834/",
        "ClientId": "1462598736",
        "ClientSecret": "6nZtVK4rKfnsncGymUHB",
        "TenantId": "000000"
      }
    },
    "ZiGong": {
      //智能质检
      "AiQuality": {
        "Url": "http://175.10.86.234:10095" //  测试
        //"Url": "http://10.56.131.13:10095/", // 正式
      },
      "AreaCode": "510300",
      "CallCenterType": "XingTang"
    },
    "LuZhou": {
      "AreaCode": "510500",
      "CallCenterType": "XingTang"
    },
    "FileUpload": {
      "Url": "http://110.188.24.28:50120/"
    }
  },
  "CallCenterConfiguration": {
    //"CallCenterType": "TianRun", //XunShi、WeiErXin、TianRun、XingTang
    "NewRock": {
      "Address": "http://192.168.100.100/xml",
      "Authorize": true,
      "ReceiveKey": "E1BBD1BB-A269-44",
      "SendKey": "2A-BA92-160A3B1D",
      "Expired": 86300 //认证过期时间（秒）
    },
    "Wex": {
      "Address": "http://222.212.82.225:8083",
      "Username": "admin",
      "Password": "Wex@12345"
    },
    "TianRun": {
      //"Address": "http://internal.ttf-cti.com:8080",
      //"Username": "yscs",
      //"Password": "123456",
      "Address": "http://222.213.23.229:29003/",
      "Username": "root",
      "Password": "12345678aa",
      "Ip": "222.213.23.229"
    },
    "XingTang": {
      //"DbConnectionString": "server=123.56.10.71;Database=callcenter_db;Uid=root;Pwd=Lhw1981!(*!"
      "DbConnectionString": "server=110.188.24.182;Database=callcenter_xingtang;Uid=dev;Pwd=fengwo11!!"
      //"DbConnectionString": "PORT=50143;server=110.188.24.182;Database=callcenter_db;Uid=dev;Pwd=fengwo123!@#;"
    }
  },
  "ConnectionStrings": {
    "Hotline": "PORT=5432;DATABASE=hotline;HOST=110.188.24.182;PASSWORD=fengwo11!!;USER ID=dev;",
    //"Hotline1": "PORT=5432;DATABASE=hotline_dev;HOST=110.188.24.182;PASSWORD=fengwo11!!;USER ID=dev;"
  },
  "Cache": {
    "Host": "110.188.24.182",
    "Port": 50179,
    "Password": "fengwo123!$!$",
    "Database": 3 //test:3, dev:5
  },
  "Swagger": true,
  "AccLog": false,
  "Cors": {
    "Origins": [ "http://localhost:8888", "http://admin.hotline.fw.com", "http://localhost:80", "http://localhost:8113" ]
  },
  "IdentityConfiguration": {
    "Password": {
      "RequiredLength": 8,
      "RequireNonAlphanumeric": true,
      "RequireLowercase": true,
      "RequireUppercase": true
    },
    "User": {
      "RequireUniqueEmail": false
    },
    "SignIn": {
      "RequireConfirmedAccount": false
    },
    "Lockout": {
      "MaxFailedAccessAttempts": 5,
      "DefaultLockoutTimeSpan": "00:10:00"
    },
    "Account": {
      "DefaultPassword": "Fwkj@789"
    },
    "Jwt": {
      "SecretKey": "e660d04ef1d3410798c953f5d7b8a4e1",
      "Issuer": "hotline_server",
      "Audience": "hotline",
      "Scope": "hotline_api",
      "Expired": 86400 //seceonds
    }
  },
  "DatabaseConfiguration": {
    "ApplyDbMigrations": false,
    "ApplySeed": false
  },
  "MqConfiguration": {
    "DbConnectionString": "PORT=5432;DATABASE=fwmq;HOST=110.188.24.182;PASSWORD=fengwo11!!;USER ID=dev;",
    "UseDashBoard": true,
    "RabbitMq": {
      "UserName": "dev",
      "Password": "123456",
      "HostName": "110.188.24.182",
      "VirtualHost": "fwt-master"
    }
  },
  "FwClient": {
    "ClientId": "hotline",
    "ClientSecret": "08db29cc-0da0-4adf-850c-1b2689bd535d"
  }

}
